Name:           xchat-gnome
Version:        0.26.1
Release:        8%{?dist}
Summary:        GNOME front-end to xchat

Group:          Applications/Internet
License:        GPLv2+
URL:            http://%{name}.navi.cx/
Source0:        http://ftp.acc.umu.se/pub/gnome/sources/%{name}/0.26/%{name}-%{version}.tar.bz2
# Patch specific to Fedora to use .xchat-gnome, instead of .xchat2
Patch0:		%{name}-0.23.92-config.patch
# Patch to fix pressing "enter" in the middle of editing channel topic.
# RH Bug #483839
Patch1:		xchat-topic-update.patch
# https://bugzilla.redhat.com/show_bug.cgi?id=550662
Patch2:		%{name}-crasher.patch
# http://git.gnome.org/browse/xchat-gnome/commit/?id=ac131cab5e5429525aed592b504bae9d6ee92069
Patch3:		status_fix.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	openssl-devel
Buildrequires:	libsexy-devel >= 0.1.11
BuildRequires:	libgnomeui-devel
BuildRequires:	libnotify-devel
BuildRequires:	glib2-devel >= 2.18.0
BuildRequires:	gtk2-devel >= 2.14.0
BuildRequires:	libcanberra-devel
BuildRequires:	python-devel
BuildRequires:	desktop-file-utils
BuildRequires:  scrollkeeper
BuildRequires:	intltool
BuildRequires:  gettext
BuildRequires:	perl-devel
BuildRequires:	perl(XML::Parser)
BuildRequires:	perl(ExtUtils::Embed)
BuildRequires:	gnome-doc-utils

Requires: 	perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

Requires(pre): GConf2
Requires(post): GConf2
Requires(post): scrollkeeper
Requires(preun): GConf2
Requires(postun): scrollkeeper


%description
xchat-gnome is a new frontend for the popular X-Chat IRC client.  GNOME's
philosophy in terms of user interfaces has been progressing towards
presenting the user with few options, yet sane defaults. While many of the
normal X-Chat options will be preserved inside GConf, only the most
common settings will be included in the main user interface. .


%prep
%setup -q -n %{name}-%{version}
%patch0 -p1 -b .config
%patch1 -p1 -b .topic
%patch2 -p1 -b .crasher
%patch3 -p1 -b .status


%build
%configure --disable-tcl		\
	   --disable-scrollkeeper	\
	   --disable-schemas-install	\
	   --disable-static
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
%find_lang %{name}
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

desktop-file-install --vendor fedora --delete-original	\
	--dir $RPM_BUILD_ROOT%{_datadir}/applications	\
	$RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop


%clean
rm -rf $RPM_BUILD_ROOT


%pre
if [ "$1" -gt 1 ]; then
	export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
	SCHEMAS="apps_xchat.schemas notification.schemas urlscraper.schemas url_handler.schemas"
    	for i in $SCHEMAS; do
		gconftool-2 --makefile-uninstall-rule \
			%{_sysconfdir}/gconf/schemas/$i >/dev/null || :
	done
fi


%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
SCHEMAS="apps_xchat.schemas notification.schemas urlscraper.schemas url_handler.schemas"
for i in $SCHEMAS; do
	gconftool-2 --makefile-install-rule \
		 %{_sysconfdir}/gconf/schemas/$i > /dev/null || :
done
scrollkeeper-update -q -o %{_datadir}/omf/%{name} || :
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%preun
if [ "$1" -eq 0 ]; then
	export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
	SCHEMAS="apps_xchat.schemas notification.schemas urlscraper.schemas url_handler.schemas"
	for i in $SCHEMAS; do
		gconftool-2 --makefile-uninstall-rule \
			%{_sysconfdir}/gconf/schemas/$i > /dev/null || :
	done
fi


%postun
scrollkeeper-update -q -o %{_datadir}/omf/%{name} || :
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING AUTHORS
%doc plugins/perl/xchat2-perldocs.html
%{_bindir}/%{name}
%{_sysconfdir}/gconf/schemas/*.schemas
%{_datadir}/%{name}/
%{_datadir}/icons/hicolor/128x128/apps/%{name}.png
%{_datadir}/icons/hicolor/48x48/apps/%{name}.png
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/omf/%{name}/
%{_datadir}/gnome/help/%{name}/
%{_datadir}/dbus-1/services/org.gnome.Xchat.service
%{_mandir}/man1/%{name}.1.gz
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/plugins/


%changelog
* Mon Jan 18 2010 Brian Pepple <bpepple@fedoraproject.org> - 0.26.1-8
- Add patch to fix regression with bing unable to set status 'back'.

* Wed Jan 13 2010 Brian Pepple <bpepple@fedoraproject.org> - 0.26.1-7
- Add patch to fix crash. (#550662)

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 0.26.1-6
- rebuild against perl 5.10.1

* Fri Aug 21 2009 Tomas Mraz <tmraz@redhat.com> - 0.26.1-5
- rebuilt with new openssl

* Mon Jul 27 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.26.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Jun 19 2009 Brian Pepple <bpepple@fedoraproject.org> - 0.26.1-3
- Fix topic patch.

* Sun May 10 2009 Brian Pepple <bpepple@fedoraproject.org> - 0.26.1-2
- Add patch to fix topic entry bug. (#483839)

* Sat Apr 18 2009 Brian Pepple <bpepple@fedoraproject.org> - 0.26.1-1
- Update to 0.26.1.

* Tue Mar 31 2009 Brian Pepple <bpepple@fedoraproject.org> - 0.26.0-1
- Update to 0.26.0.

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.24.3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Jan 29 2009 Brian Pepple <bpepple@fedoraproject.org> - 0.24.3.1-1
- Update to 0.24.3.1.

* Sun Jan 18 2009 Tomas Mraz <tmraz@redhat.com> - 0.24.1-3
- rebuild with new openssl

* Sun Nov 30 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.24.1-2
- Rebuild for Python 2.6

* Fri Nov 14 2008 Brian Pepple <bpepple@fedoraproject.org> - 0.24.1-1
- Update to 0.24.1.
- Update Source URL.

* Tue Sep 23 2008 Brian Pepple <bpepple@fedoraproject.org> - 0.24.0-1
- Update to 0.24.0.
- Drop deps patch.  Fixed upstream.

* Tue Sep  9 2008 Brian Pepple <bpepple@fedoraproject.org> - 0.23.92-1
- Update to 0.23.92.
- Add deps patch to correctly set libnotify & libcanberra options.
- Update BR.
- Drop reconnect patch.  Fixed upstream.
- Drop away-command patch.  Fixed upstream.
- Drop spell-checking patch.  Fixed upstream.
- Drop it-translation patch.  Fixed upstream.

* Thu Mar 27 2008 Brian Pepple <bpepple@fedoraproject.org> - 0.18-12
- Add patch to fix italian translation bug. (#431133)

* Tue Mar 25 2008 Brian Pepple <bpepple@fedoraproject.org> - 0.18-11
- Add patch to fix spell-checking language selection. (#427067)
- Add BR on perl-devel & perl(ExtUtils::Embed)to actually build the perl plugin.

* Thu Mar 06 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.18-10
- Rebuild for new perl

* Tue Feb 12 2008 Brian Pepple <bpepple@fedoraproject.org> - 0.18-9
- Updated away/back patch. (#430883)

* Wed Jan 30 2008 Brian Pepple <bpepple@fedoraproject.org> - 0.18-8
- Rebuild.

* Wed Dec  5 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.18-7
- rebuild for new libssl.so.6/libcrypto.so.6

* Sat Nov 17 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.18-6
- Add patch to fix away/back command.

* Thu Sep 13 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.18-5
- Add patch to fix reconnect bug. (#225408)

* Tue Aug 21 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.18-4
- Rebuild.

* Thu Aug  2 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.18-3
- Update license tag.

* Mon Jul  9 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.18-2
- Drop requires on python, since dep on python-libs will be pulled in.

* Mon Jul  9 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.18-1
- Update to 0.18.
- Drop static patch, fixed upstream.
- Drop setup-dialog patch, fixed upstream.
- Drop gettext patch.
- Update config patch.

* Sun Jun 10 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.17-7
- Drop requires on yelp.

* Sat Jun  9 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.17-6
- Add requires on yelp. (#243417)

* Mon May 28 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.17-5
- Add gettext patch so we don't print translation information when open a query window.

* Mon Apr 16 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.17-4
- Add patch to fix setup-dialog. (#236636)

* Tue Apr  3 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.17-3
- Add patch to fix crasher. (#235144).

* Mon Apr  2 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.17-2
- D'Oh!  Forgot to add the new config patch.

* Mon Apr  2 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.17-1
- Update to 0.17 (bugfix release).
- Update the config patch.
- libsexy-devel to be at least 0.1.11.

* Tue Jan 16 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.16-2
- Drop conditional statement for libnotify.
- Remove BR on dbus-devel, since libnotify-devel will pull this in.

* Wed Jan 10 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.16-1
- Update to 0.16.
- Move themeable app icon to correct directory.

* Fri Dec  8 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.15-2
- Rebuild for new python.

* Sun Oct 29 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.15-1
- Update to 0.15.
- Add new icons.

* Thu Oct 26 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.14-1
- Update to 0.14.
- Remove xchat-gnome-remote.
- Drop X-Fedora desktop category.
- Use disable-schemas-install & disable-static with configure.

* Thu Aug 31 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.13-4
- Add BR for perl(XML::Parser).

* Thu Aug 31 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.13-3
- Update for FC6.

* Wed Jul 26 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.13-2
- Update to 0.13.

* Tue Jun 20 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.12-2
- Update to 0.12.

* Sat May 20 2006 Brian Pepple <bdpepple@ameritech.net> - 0.11-3
- Drop patch for libnotify.

* Tue Apr  4 2006 Brian Pepple <bdpepple@ameritech.net> - 0.11-2
- Update to 0.11
- Drop screensaver patch.
- Add scriptlet for gtk+ icon cache.

* Sun Mar 19 2006 Brian Pepple <bdpepple@ameritech.net> - 0.10-5
- Rebuild for libsexy-0.1.8.

* Thu Mar 16 2006 Brian Pepple <bdpepple@ameritech.net> - 0.10-4
- Rebuild for new libsexy.

* Sat Feb 25 2006 Brian Pepple <bdpepple@ameritech.net> - 0.10-3
- Add libnotify patch to work with 0.3.0 api.

* Fri Feb 24 2006 Brian Pepple <bdpepple@ameritech.net> - 0.10-2
- Add patch to use correct gnome-screensaver dbus object.
- Drop killall gconfd-2 calls in scriptlets.

* Fri Feb 24 2006 Brian Pepple <bdpepple@ameritech.net> - 0.10-1
- Update to 0.10.
- Add -disable-scrollkeeprer to config.
- Add BR for gnome-doc-utils.
- Disable libnotify plugin, until libnotify is updated in Rawhide.

* Wed Feb 15 2006 Brian Pepple <bdpepple@ameritech.net> - 0.9-6
- Drop unnecessary BR (libSM-devel & libglade2-devel).

* Mon Feb 13 2006 Brian Pepple <bdpepple@ameritech.net> - 0.9-5
- rebuilt for new gcc4.1 snapshot and glibc changes

* Tue Feb  7 2006 Brian Pepple <bdpepple@ameritech.net> - 0.9-4
- Rebuild due to new libsexy.

* Mon Jan 23 2006 Brian Pepple <bdpepple@ameritech.net> - 0.9-3
- Bump.

* Sat Jan 21 2006 Brian Pepple <bdpepple@ameritech.net> - 0.9-2
- Add xchat_gnome_url_handler.schemas to scriptlet.

* Fri Jan 20 2006 Brian Pepple <bdpepple@ameritech.net> - 0.9-1
- Update to 0.9.
- Add BR for libnotify-devel.
- Drop certificates patch.

* Fri Dec 30 2005 Brian Pepple <bdpepple@ameritech.net> - 0.8-2
- add patch for self-signed certificate acceptance. (#174591)

* Tue Dec 20 2005 Brian Pepple <bdpepple@ameritech.net> - 0.8-1
- Udate to 0.8.

* Sun Dec 18 2005 Brian Pepple <bdpepple@ameritech.net> - 0.8-01.rc2
- Update to 0.8rc2.

* Thu Dec 15 2005 Brian Pepple <bdpepple@ameritech.net> - 0.8-01.rc1
- Update to 0.8rc1.
- Drop documentation removed from upstream tarball.
- Drop depreciated config options.
- Enable dbus support.
- Drop 323944 patch, since it's been applied upstream.
- Drop datadir patch, since it's been applied upstream.

* Wed Dec 14 2005 Brian Pepple <bdpepple@ameritech.net> - 0.7-4
- Add patch to fix #175751. 

* Wed Nov 30 2005 Brian Pepple <bdpepple@ameritech.net> - 0.7-3
- Disable dbus support, until FE Bug #174592 is fixed.

* Mon Nov 21 2005 Brian Pepple <bdpepple@ameritech.net> - 0.7-2
- Update to 0.7.
- Add BR for libSM-devel.
- Disable libnotify support, until it's available in Rawhide.
- Add help files & scrollkeeper scriptlets.
- Add BR & requires for scrollkeeper.

* Sat Nov 12 2005 Brian Pepple <bdpepple@ameritech.net> - 0.6-7
- Bump

* Sat Nov 12 2005 Brian Pepple <bdpepple@ameritech.net> - 0.6-6
- Bump release for upgrade path from FC-4.

* Sat Nov 12 2005 Brian Pepple <bdpepple@ameritech.net> - 0.6-5
- Add test for release version to determine if dbus is enabled.
- Add dist tag.

* Sat Nov 12 2005 Brian Pepple <bdpepple@ameritech.net> - 0.6-4
- Remove obsoletes xchat.
- Add patch to change datadir location.
- Add patch to change config dir.

* Thu Nov 10 2005 Brian Pepple <bdpepple@ameritech.net> - 0.6-3
- Add xchat-remote to files, and re-add dbus config flag.

* Thu Nov 10 2005 Brian Pepple <bdpepple@ameritech.net> - 0.6-2
- Merge some items from Bastien Nocera's spec file (#172873).
- Add configure option to enable ipv6 & shm tinting support.
- Simplify schemas installation.

* Tue Oct 25 2005 Brian Pepple <bdpepple@ameritech.net> - 0.6-1
- Initial Fedora Extras spec file.

